diff --git a/changelog b/changelog
index b536698..16f18c3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090928 tpd src/axiom-website/patches.html 20090928.01.tpd.patch
+20090928 tpd src/interp/record.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.03.tpd.patch
 20090927 tpd src/interp/rulesets.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9ede5df..faaa72f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2055,5 +2055,7 @@ src/interp/sfsfun.lisp cleanup<br/>
 src/interp/server.lisp cleanup<br/>
 <a href="patches/20090927.03.tpd.patch">20090927.03.tpd.patch</a>
 src/interp/rulesets.lisp cleanup<br/>
+<a href="patches/20090928.01.tpd.patch">20090928.01.tpd.patch</a>
+src/interp/record.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/record.lisp.pamphlet b/src/interp/record.lisp.pamphlet
index f47d0b4..7b4150c 100644
--- a/src/interp/record.lisp.pamphlet
+++ b/src/interp/record.lisp.pamphlet
@@ -97,15 +97,14 @@
 ;  SHUT $testStream
 ;  opathname
 
-(DEFUN |inputFile2RecordFile|
-       (&REST G166085 &AUX |option| |pathname|)
+(DEFUN |inputFile2RecordFile| (&REST G166085 &AUX |option| |pathname|)
   (DSETQ (|pathname| . |option|) G166085)
   (PROG (|$mkTestFlag| |$runTestFlag| |$mkTestInputStack|
             |$mkTestOutputStack| |$mkTestOutputType| |$currentLine|
             |ifn| |opath| |odirect| |opathname| *PRINT-ARRAY*)
     (DECLARE (SPECIAL |$mkTestFlag| |$runTestFlag| |$mkTestInputStack|
                       |$mkTestOutputStack| |$mkTestOutputType|
-                      |$currentLine|))
+                      |$currentLine| |$testStream|))
     (RETURN
       (PROGN
         (SPADLET |ifn| (PATHNAME-NAME |pathname|))
@@ -753,6 +752,8 @@
 
 (DEFUN |recordAndPrintTest| (|md|)
   (PROG (|input| |output|)
+  (declare (special |$mkTestOutputStack| |$mkTestInputStack| |$testStream|
+                    |$currentLine|))
     (RETURN
       (PROGN
         (SPADLET |input|
